# This file was auto-generated by Fern from our API Definition.

from .entity_summary import EntitySummary
import pydantic
import typing
from ...generated_types.types.entities import Entities
from .company_type import CompanyType
from .entity_registration_date import EntityRegistrationDate
from .status import Status
from .shipment_arrival import ShipmentArrival
from .shipment_departure import ShipmentDeparture
from .entity_hs_code import EntityHsCode
from .entity_translated_label import EntityTranslatedLabel
from .identifier import Identifier
from ...generated_types.types.country import Country
from .relationship_count import RelationshipCount
from .source_count_info import SourceCountInfo
from .psa import Psa
from .entity_risk import EntityRisk
from ...core.pydantic_utilities import IS_PYDANTIC_V2


class CoreEntity(EntitySummary):
    """
    The attributes fields common to most entities.
    """

    id: str = pydantic.Field()
    """
    Unique identifier of the entity
    """

    owner: typing.Optional[str] = pydantic.Field(default=None)
    """
    User or group that created the entity, if applicable. Undefined for Sayari entities.
    """

    type: Entities = pydantic.Field()
    """
    The [entity type](/sayari-library/ontology/entities).
    """

    label: str = pydantic.Field()
    """
    Display name of the entity
    """

    names: typing.Optional[typing.List[str]] = pydantic.Field(default=None)
    """
    Name variations of the entity.
    """

    company_type: typing.Optional[CompanyType] = None
    registration_date: typing.Optional[EntityRegistrationDate] = None
    latest_status: typing.Optional[Status] = None
    shipment_arrival: typing.Optional[ShipmentArrival] = None
    shipment_departure: typing.Optional[ShipmentDeparture] = None
    hs_code: typing.Optional[EntityHsCode] = None
    translated_label: typing.Optional[EntityTranslatedLabel] = None
    identifiers: typing.List[Identifier]
    addresses: typing.Optional[typing.List[str]] = pydantic.Field(default=None)
    """
    List of physical addresses associated with the entity. See more [here](/sayari-library/ontology/attributes#address)
    """

    date_of_birth: typing.Optional[str] = pydantic.Field(default=None)
    """
    Birth date of a person. See more [here](/sayari-library/ontology/attributes#date-of-birth)
    """

    countries: typing.List[Country] = pydantic.Field()
    """
    Entity [country](/sayari-library/ontology/enumerated-types#country)
    """

    closed: typing.Optional[bool] = pydantic.Field(default=None)
    """
    True if the entity existed in the past but not at the present time, otherwise false. Always false for data curation.
    """

    related_entities_count: int
    user_related_entities_count: int
    relationship_counts: RelationshipCount
    user_relationship_counts: RelationshipCount
    attribute_counts: typing.Optional[typing.Any] = None
    user_attribute_counts: typing.Optional[typing.Any] = None
    trade_count: typing.Dict[str, int]
    record_count: int
    user_record_count: int
    source_counts: typing.Dict[str, SourceCountInfo] = pydantic.Field()
    """
    Number of records associated with the entity, grouped by source.
    """

    psa: typing.Optional[Psa] = None
    risk: EntityRisk = pydantic.Field()
    """
    [Risk factors](/sayari-library/ontology/risk-factors) associated with the entity.
    """

    created: typing.Optional[str] = None
    updated: typing.Optional[str] = None
    edited_by: typing.Optional[str] = None
    editable: typing.Optional[bool] = None
    upload: typing.Optional[str] = None

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
